package org.example;

import java.util.Arrays;

public class ResultSimply {
    private String FullName;
    private int Rank;
    private Double[] Score;

    private Double TotalPoints;
    public ResultSimply(String fullName, int rank, Double[] score,Double totalPoints) {
        String[] names = fullName.split(" / ");
        if(names.length==1) {
            FullName = fullName;
        }else if(names.length==2){
            if(names[0].compareTo(names[1])<0){
                FullName = names[0] + " & " + names[1];
            }else{
                FullName = names[1] + " & " + names[0];
            }
        }
        Rank = rank;
        Score = score;
        TotalPoints = totalPoints;
    }

    @Override
    public String toString() {
        String ss =  "Full Name:" + FullName +
                "\nRank:" + Rank +
                "\nScore:" + String.format("%.2f",Score[0]);
        for(int i = 1 ; i < Score.length ; i++){
            ss += " + " + String.format("%.2f",Score[i]);
        }
        ss = ss + " = " + String.format("%.2f",TotalPoints) +
            "\n-----\n";
        return ss;
    }
}
